Bug 965794 - JMS related ERROR message seen at server shutdown
JMS related ERROR message seen at server shutdown
Status: MODIFIED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Configuration (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ---
: 6.0.0
Assigned To: Tomohisa Igarashi
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 14:14 EDT by Len DiMaggio
Modified: 2015-11-02 03:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Len DiMaggio 2013-05-21 14:14:00 EDT
Description of problem:

On server shutdown - this error is seen:

13:50:07,481 ERROR [org.jboss.messaging] (MSC service thread 1-6) JBAS011602: Exception while stopping JMS server: java.lang.IllegalArgumentException: Container is shutting down
	at org.jboss.msc.service.ServiceControllerImpl.internalSetMode(ServiceControllerImpl.java:684) [jboss-msc-1.0.4.GA-redhat-1.jar:1.0.4.GA-redhat-1]
	at org.jboss.msc.service.ServiceControllerImpl.compareAndSetMode(ServiceControllerImpl.java:1320) [jboss-msc-1.0.4.GA-redhat-1.jar:1.0.4.GA-redhat-1]
	at org.jboss.as.messaging.jms.JMSService$1.deActivate(JMSService.java:107) [jboss-as-messaging-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.hornetq.core.server.impl.HornetQServerImpl.callDeActiveCallbacks(HornetQServerImpl.java:1384) [hornetq-server-2.3.1.Final-redhat-1.jar:2.3.1.Final-redhat-1]
	at org.hornetq.core.server.impl.HornetQServerImpl.stop(HornetQServerImpl.java:607) [hornetq-server-2.3.1.Final-redhat-1.jar:2.3.1.Final-redhat-1]
	at org.hornetq.core.server.impl.HornetQServerImpl.stop(HornetQServerImpl.java:538) [hornetq-server-2.3.1.Final-redhat-1.jar:2.3.1.Final-redhat-1]
	at org.hornetq.core.server.impl.HornetQServerImpl.stop(HornetQServerImpl.java:505) [hornetq-server-2.3.1.Final-redhat-1.jar:2.3.1.Final-redhat-1]
	at org.hornetq.jms.server.impl.JMSServerManagerImpl.stop(JMSServerManagerImpl.java:502) [hornetq-jms-server-2.3.1.Final-redhat-1.jar:2.3.1.Final-redhat-1]
	at org.jboss.as.messaging.jms.JMSService.stop(JMSService.java:124) [jboss-as-messaging-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.msc.service.ServiceControllerImpl$StopTask.stopService(ServiceControllerImpl.java:1911) [jboss-msc-1.0.4.GA-redhat-1.jar:1.0.4.GA-redhat-1]
	at org.jboss.msc.service.ServiceControllerImpl$StopTask.run(ServiceControllerImpl.java:1874) [jboss-msc-1.0.4.GA-redhat-1.jar:1.0.4.GA-redhat-1]
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110) [rt.jar:1.7.0_09-icedtea]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603) [rt.jar:1.7.0_09-icedtea]
	at java.lang.Thread.run(Thread.java:722) [rt.jar:1.7.0_09-icedtea]


Version-Release number of selected component (if applicable):

SOA6 Alpha = http://jawa05.englab.brq.redhat.com/candidate/soa-6.0.0-DR5

JBDS 6.0.1 download = https://devstudio.jboss.com/earlyaccess/6.0/ (jbdevstudio-product-universal-6.0.1.GA-v20130327-2052-B361.jar)

JBT Integration Stack site = http://download.jboss.org/jbosstools/updates/stable/juno/integration-stack/

Maven repo: http://jawa05.englab.brq.redhat.com/candidate/soa-6.0.0-DR4/soa-6.0.0-Alpha-maven-repository.zip

EAP: http://download.devel.redhat.com/released/JBEAP-6/6.1.0-Beta/

How reproducible:
100%

Steps to Reproduce:
1. Start and stop the server (standalone profile)
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 kconner 2013-05-28 22:46:11 EDT
This may be related to Bug 958262
Comment 2 Nick Cross 2014-07-09 10:06:05 EDT
Retest for 6.1
Comment 3 Rob Cernich 2014-10-21 09:21:28 EDT
Hey Tomo, can you please verify whether or not this still exists on 6.1?  Thanks in advance.
Comment 4 Tomohisa Igarashi 2014-10-21 18:30:03 EDT
I tried it on EAP6.3 + SwitchYard-2.0.0.Alpha3 with both of standalone and standalone-full profile, but didn't see this exception. (note that standalone profile doesn't start HornetQ)

Note You need to log in before you can comment on or make changes to this bug.